'use strict';

const bcrypt = require('bcrypt');

module.exports.checkHash = (plainText, hash) => {
  return new Promise((resolve, reject) => {
    bcrypt.compare(plainText, hash, (err, res) => {
      if(err) {
        reject(err);
      } else {
        resolve(res);
      }
    });
  });
};
